org.eclipse.graphiti.mm.pictograms

## Interface FreeFormConnection

All Superinterfaces:
  AnchorContainer, Connection, org.eclipse.emf.ecore.EObject, GraphicsAlgorithmContainer, org.eclipse.emf.common.notify.Notifier, PictogramElement, PropertyContainer

All Known Implementing Classes:
  FreeFormConnectionImpl

    public interface FreeFormConnection
    extends Connection

A representation of the model object 'Free Form Connection'.

The following features are supported:

- `Bendpoints`

See Also:
  `PictogramsPackage.getFreeFormConnection()`

### Method Summary

All Methods Instance Methods Abstract Methods
`org.eclipse.emf.common.util.EList<Point>` `getBendpoints()` Returns the value of the 'Bendpoints' containment reference list.

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.Connection

`getConnectionDecorators, getEnd, getParent, getStart, setEnd, setParent, setStart`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.AnchorContainer

`getAnchors`

### Methods inherited from interface org.eclipse.graphiti.mm.pictograms.PictogramElement

`getGraphicsAlgorithm, getLink, isActive, isVisible, setActive, setGraphicsAlgorithm, setLink, setVisible`

### Methods inherited from interface org.eclipse.graphiti.mm.PropertyContainer

`getProperties`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

### Method Detail

#### getBendpoints

    org.eclipse.emf.common.util.EList<Point> getBendpoints()

Returns the value of the 'Bendpoints' containment reference list. The list contents are of type `Point`.

If the meaning of the 'Bendpoints' containment reference list isn't clear, there really should be more of a description here...

Returns:
  the value of the 'Bendpoints' containment reference list.
See Also:
  `PictogramsPackage.getFreeFormConnection_Bendpoints()`